#pragma once
#include "vera_base/Interactor.hpp"

namespace vera
{
class AmpereControl
{
public:
  ~AmpereControl();

  virtual void start(Interactor& interactor) = 0;
  virtual void stop(Interactor& interactor) = 0;
  virtual void setAmpere(Interactor& interactor, double ampere) = 0;
};
}
